#algolia_instant_selector,
#algolia_instant_selector *,
#search_mini_form,
#search_mini_form * {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

#algolia_instant_selector:before,
#algolia_instant_selector:after,
#algolia_instant_selector *:before,
#algolia_instant_selector *:after,
#search_mini_form:before,
#search_mini_form:after,
#search_mini_form *:before,
#search_mini_form *:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

#search_mini_form label {
    display: none;
}

#algolia_instant_selector .row {
    margin-left: -15px;
    margin-right: -15px;
}

#algolia_instant_selector .col-md-3,
#algolia_instant_selector .col-md-4,
#algolia_instant_selector .col-md-9,
#algolia_instant_selector .col-md-12 {
    position: relative;
    min-height: 1px;
    padding-left: 15px;
    padding-right: 15px;
}

@media (min-width: 768px) {
    #algolia_instant_selector .col-sm-6 {
        width: 50%;
        float: left;
    }
}

@media (min-width: 992px) {
    #algolia_instant_selector .col-md-3,
    #algolia_instant_selector .col-md-4,
    #algolia_instant_selector .col-md-9,
    #algolia_instant_selector .col-md-12 {
        float: left;
    }

    #algolia_instant_selector .col-md-12 {
        width: 100%;
    }

    #algolia_instant_selector .col-md-9 {
/*        width: 75%;*/
    }

    #algolia_instant_selector .col-md-4 {
        width: 33.33333333%;
    }

    #algolia_instant_selector .col-md-3 {
        width: 23%;
    }
}

#algolia_instant_selector .row:before,
#algolia_instant_selector .row:after {
    content: " ";
    display: table;
}

#algolia_instant_selector .row:after {
    clear: both;
}

#algolia_instant_selector .visible-xs,
#algolia_instant_selector .visible-sm {
    display: none !important;
}

#algolia_instant_selector .hidden-xs,
#algolia_instant_selector .hidden-sm {
    display: block !important;
}

@media (max-width: 767px) {
    #algolia_instant_selector .visible-xs {
        display: block !important;
    }

    #algolia_instant_selector .hidden-xs {
        display: none !important;
    }

    .algolia-search-block {
        clear: both;
    }
}

@media (max-width: 992px) {
    #algolia_instant_selector .visible-sm {
        display: block !important;
    }

    #algolia_instant_selector .hidden-sm {
        display: none !important;
    }
}

#algolia_instant_selector .pull-left {
    float: left;
}

#algolia_instant_selector .pull-right {
    float: right;
}

.algolia-clearfix {
    clear: both;
}


/* new design Shihas */


   h3.result-title.text-ellipsis.searchResultPro-nam {
        color: #222529 !important;
        font-size: 15px;
        font-weight: 400;
        white-space: unset;
        text-align: left;
    }

div#instant-search-bar {
    display: none;
}

div#algolia-left-container {
    display: none;
}

@media (min-width: 992px) {
    div#algolia_instant_selector .row #algolia_instant_selector .col-md-9  {
        width: 100% !important;
    }
}



div#algolia_instant_selector .row #algolia_instant_selector .col-md-9 {
    width: 100% !important;
    max-width: 100% !important;
}


/*@media (min-width: 992px) {*/
    .algolia-instant-selector-results div#algolia_instant_selector .row .col-md-9 {
        width: 100% !important;
        max-width: 100% !important;
        flex: 100% !important;
    }
/*}*/

.displayNone {display: none !important;}

.searchPagePro_price {
    font-size: 20px;
    font-weight: 900;
    color: #000;
}

.textAlign_left {text-align: left;}

   .catalogsearch-result-index.page-layout-2columns-left .sidebar.sidebar-main {
    display: none;
}


.catalogsearch-result-index.page-layout-2columns-left .column.main {
    width: 100%;
}

.limited-text {
  display: -webkit-box; /* Required for webkit-based browsers */
  -webkit-box-orient: vertical; /* Required for webkit-based browsers */
  overflow: hidden; /* Hides overflowing text */
  text-overflow: ellipsis; /* Adds ellipsis to indicate more text */
  -webkit-line-clamp: 2; /* Limits to 2 lines */
  line-clamp: 2; /* For non-webkit browsers supporting the property */
}

.sort-by-label.pull-left {
    line-height: inherit;
    margin: 0 7px 0 0;
    vertical-align: middle;
    color: #929292;
    font-size: 15px;
    font-weight: 700;
}

.algolia-infos {
    color: #fff !important;
    background: #fff !important;
}

select.ais-SortBy-select {
    font-size: 1em;
    padding: 0 25px 0 8px;
    box-shadow: none;
    border: 1px solid #e4e4e4;
    height: 27px !important;
    border-radius: 0;
    width: 145px;
}

select.ais-SortBy-select {
    font-size: 14px;
}


.algoSearch_pro:hover {
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.15);
}

li.ais-Pagination-item.ais-Pagination-item--page {
    width: 33px;
    height: 33px;
    line-height: 11px;
    border: 1px solid #ccc;
    border-radius: 0;
    color: #7b858a;
    display: block !important;
    font-size: 15px;
    font-weight: 700;
    padding: 0 .5em;
    line-height: 2.1em;
    min-width: 2.2em;
    height: 2.2em;
    text-decoration: none;
    text-align: center;
    background: none;
    margin: 0 5px 0 0;
}

li.ais-Pagination-item.ais-Pagination-item--page.ais-Pagination-item--selected {
    background-color: #f02d32;
}

li.ais-Pagination-item.ais-Pagination-item--page.ais-Pagination-item--selected a {
    color: #fff !important;
}

li.ais-Pagination-item.ais-Pagination-item--page a {
    color: #7b858a !important;
}

ul.ais-Pagination-list {
    float: right;
}


.ais-Pagination-link[aria-label="Next"] {
    color: transparent;
    text-indent: -9999px;
    white-space: nowrap;
    display: inline-block;
    position: relative;
}

.ais-Pagination-link[aria-label="Next"]::before {
    content: '\276F';
    color: initial;
    text-indent: 0;
    position: absolute;
    left: 0;
}

li.ais-Pagination-item.ais-Pagination-item--nextPage {
    border: 1px solid #ccc;
    height: 33px;
    width: 33px;
    display: flex; /* Use flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

.ais-Pagination-link[aria-label="Previous"] {
    color: transparent;
    text-indent: -9999px;
    white-space: nowrap;
    display: inline-block;
    position: relative;
}

.ais-Pagination-link[aria-label="Previous"]::before {
    content: '\276E'; /* Unicode for left chevron */
    color: initial;
    text-indent: 0;
    position: absolute;
    left: 0;
}

li.ais-Pagination-item.ais-Pagination-item--previousPage {
    border: 1px solid #ccc;
    height: 33px;
    width: 33px;
    display: flex; /* Use flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

li.ais-Pagination-item.ais-Pagination-item--previousPage.ais-Pagination-item--disabled, li.ais-Pagination-item.ais-Pagination-item--nextPage.ais-Pagination-item--disabled {
    color: transparent;
    border: navajowhite;
}


h3.result-title.text-ellipsis.searchResultPro-nam:hover,h3.result-title.text-ellipsis.searchResultPro-nam:hover mark { color: #F02D32 !important;}


.searchResultPro-nam {
     display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
    min-height: 40px;
    white-space: normal;
    text-align: left;
    font-size: 15px;
    line-height: 20px;
    margin-bottom: 10px;
    align-items: flex-end;
    margin-bottom: 10px;

}

.algoSearch_pro {padding: 10px 18px 14px;}

.algoliaSearchPrice {margin-bottom: 16px;height: 35px;}